
Ruby - Bug #12634

Ruby converts '*' on command line to a file name

07/28/2016 07:37 PM - krwq (Krzysztof Wicher)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.1p112 (2016-04-26 revision

54768) [x64-mingw32]

Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

Repro:

ruby script.rb *

script.rb:

puts ARGV[0]

output:

expected output:

*

OS: Windows 10

This is annoying when passing glob as an arg. Also happens when passing anything starting with *

History

#1 - 07/28/2016 07:38 PM - krwq (Krzysztof Wicher)

output is random file name (tags got removed)

#2 - 07/28/2016 08:57 PM - avit (Andrew Vit)

This is handled by your shell before passing to ruby. Compare:

ruby -e 'puts ARGV.inspect' *

["file1", "file2"]

ruby -e 'puts ARGV.inspect' '*'

["*"]

#3 - 07/29/2016 12:08 AM - shyouhei (Shyouhei Urabe)

Andrew, I guess this is the key part:

OS: Windows 10

 So yes, ruby handles glob in pace of Unix shells on this platform.  As far as I remember this is by design.

#4 - 07/30/2016 01:10 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

#5 - 08/04/2016 08:02 AM - usa (Usaku NAKAMURA)

- Status changed from Closed to Rejected

Anyway, although on Windows, use '*' to prevent globbing.
